/**
 * @file  AE3ChannelArray.h
 * @brief Schnittstelle fuer die Klasse CAE3ChannelArray.
 */
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AE3CHANNELARRAY_H__E3C45889_4BC1_4E74_9A5C_284BD5DD180D__INCLUDED_)
#define AFX_AE3CHANNELARRAY_H__E3C45889_4BC1_4E74_9A5C_284BD5DD180D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Kanal - Klasse einbinden
#include "AE3Channel.h"

#define MAX_CHANNEL	                  251 // Maximalanzahl zu verwaltender Kanalklassen

// Verwalten der Kommunikationskanaele
class CAE3ChannelArray
{
public:
	CAE3ChannelArray();
	virtual ~CAE3ChannelArray();

	// Kanalarray ueber Indizierungsoperator verwalten
	CAE3Channel* operator[](int nIndex) const
		{ return m_pChannel[nIndex]; }
	CAE3Channel*& operator[](int nIndex)
		{ return (CAE3Channel*&)m_pChannel[nIndex]; }

protected:
	CAE3Channel *m_pChannel[MAX_CHANNEL];
};

#endif // !defined(AFX_AE3CHANNELARRAY_H__E3C45889_4BC1_4E74_9A5C_284BD5DD180D__INCLUDED_)

