// Befehle fr Liste
// In der 4 Byte Adresse werden die Befehle Codiert
// Byte 0 (MSB) = MBAC_LISTEN -> Listenfunktionen
// Byte 1 whlt eine der folgenden Listenfunktionen aus
#define LB_NEW_START	0x01		// Schreiben einer Liste vorbereiten; Im Gert wird die Liste fr die Bedienung gesperrt
#define LB_DATEN	0x02	// ein oder mehrere Zeilen der Liste schreiben
							// In Byte 2,3 ist der Offset innerhalb der Zeile abgelegt.
							// Durch den Offset kann eine Zeile der Liste auf mehrere Pakete verteilt werden.
#define LB_DATEN_OK	0x80	// Maske fr Bit im Befehl
							// Um beim Aufteilen der Daten auf mehrere Pakete zu erkennen wann
							// alle Daten gesendet sind, wird beim letzten Paket bas Bit gesetzt.
							// Wenn ein Paket ausreicht, wird das Bit gleich bei diesem ersten Paket gesetzt.
							// Das gesetzte Bit startet die Verarbeitung der Daten im Gert.
							// Das Bit mu beim letzen Paket der Befehle LB_NEW_START und LB_NEW_END verwendet werden.
#define LB_NEW_END	0x03	// Liste abschliesen; sperre der Liste fr Bedienung aufheben
