/**
 * @file  CRC.h
 * @brief Schnittstelle fuer 32bit/16bit CRC - Routinen.
 */
//////////////////////////////////////////////////////////////////////
#ifndef _CRC_H_
#define _CRC_H_

extern void InitCRC32Table();
extern unsigned long GetCRC32(unsigned char *data, unsigned long size, unsigned long crc = 0xFFFFFFFF, unsigned char closure = TRUE);
extern unsigned short GetCRC16(unsigned char *data, unsigned long size, unsigned short crc = 0xFFFF);

#endif

