#ifndef _ERRORSTATE_H_
#define _ERRORSTATE_H_

/* Error States */
#define ES_NO                          0 // Kein Fehler im Zustand
#define ES_FILE_OPEN                   1 // Oeffnen der Datei gescheitert
#define ES_CRC_FAIL                    2 // CRC von Daten falsch
#define ES_FORMAT                      3 // Bereichsfehler bei eingelesenen Daten usw..
#define ES_NO_DATA                     4 // Keine Daten beim laden einer Datei
#define ES_LOAD_DISPLAY_DATA           5 // Laden der Anzeigedaten gescheitert
#define ES_LOAD_DEVICE_TEXT            6 // Laden der Anzeigetexte gescheitert
#define ES_VERSION_WRONG               7 // Version unkompatible
#define ES_PROGRAM_OVERFLOW            8 // Programmspeicher Ueberlauf
#define ES_INTELHEX_MAKE_RECORD        9 // Erzeugen eines IntelHex Datensatzes ist fehlgeschlagen
#define ES_CRYPT_FIXFAIL              10 // Verschluesselungswert ungueltig
#define ES_CRYPT_NONE                 11 // Entschluesselungsversuch ohne vorherige Verschluesselung
#define ES_CRYPT_IS                   12 // Verschluesselungsversuch obwohl bereits verschluesselt
#define ES_INI_KEY                    13 // Schluesselwert aus Inidatei konnte nicht geladen werden.
#define ES_INI_KEY_VALUE              14 // Schluesselwert aus Inidatei liegt ausserhalb des gueltigen Berreiches.
#define ES_SIZE                       15 // Groesse der moeglichen Datenmenge ueberschritten
#define ES_VERSION                    16 // Keine gueltige Versionsangabe vorhanden
#define ES_INTEL_HEX				  17 // Daten oder Endzeile fuer Hexdatei konnte nicht erstellt werden
#define ES_HEAD_CRC                   18 // Der CRC fuer den Dateikopf schlug fehl.
#define ES_FW_VERSION_LENGTH          19 // Zeichenkette fuer die Firmwareversion ist zu kurz (< 8) oder zu lang (> 32).
#define ES_PROGRAM_CRC                20 // Der CRC fuer den Programm-Flash schlug fehl.
#define ES_FUNCTION_UNAVAILABLE       21 // Funktion wird nicht unterstuetzt.

#endif
